plugins {
    id("java")
    id("me.glicz.access-widen") version "3.0.0"
}

group = "cn.hamster3.server.mixin"
version = "1.0.0"
description = "为 Velocity 添加网易认证注入"

base {
    archivesName = "VelocityNeteaseAuth"
}

repositories {
    maven("https://maven.airgame.net/maven-public")
}

dependencies {
    compileOnly("space.vectrix.ignite:ignite-api:1.1.0")
    compileOnly("org.spongepowered:mixin:0.8.7")
    compileOnly("io.github.llamalad7:mixinextras-common:0.5.0")
    annotationProcessor("io.github.llamalad7:mixinextras-common:0.5.0")

    compileOnly(accessWiden(rootProject.fileTree("./libs")))
}

accessWiden {
    accessWideners.from(
        fileTree(
            mapOf(
                "dir" to "src/main/resources",
                "include" to "*.accesswidener"
            )
        )
    )
}